$(document).ready(function () {
  // Initialize sliders for each specific section
  function initializeSliders() {
    $(".home-slider").slick({
      lazyLoad: "ondemand",
      slidesToShow: 3,
      slidesToScroll: 1,
      infinite: true,
      autoplay: true,
      autoplaySpeed: 2000,
      arrows: false,
      dots: true,
      responsive: [
        {
          breakpoint: 830,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 1,
          },
        },
        {
          breakpoint: 500,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
          },
        },
      ],
    });

    $(
      ".mumbai-slider, .ahmedabad-slider, .gurugram-slider, .pune-slider"
    ).slick({
      lazyLoad: "ondemand",
      slidesToShow: 3,
      slidesToScroll: 1,
      infinite: true,
      autoplay: true,
      autoplaySpeed: 2000,
      arrows: true,
      dots: false,
      initialSlide: 0,
      responsive: [
        {
          breakpoint: 830,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 1,
          },
        },
        {
          breakpoint: 500,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
          },
        },
      ],
    });
  }

  // Initialize sliders on document ready
  initializeSliders();

  // Handle tab switching and refresh slick sliders
  $('a[data-bs-toggle="pill"]').on("shown.bs.tab", function (e) {
    var target = $(e.target).attr("href"); // Get the tab-pane ID (e.g., #mumbai-residential)

    // Find the corresponding slick slider inside the tab and refresh it
    $(target).find(".slick-slider").slick("refresh");
  });

  // Stop video when modal is closed
  $(".modal").on("hidden.bs.modal", function () {
    var $iframe = $(this).find("iframe");
    var src = $iframe.attr("src");
    $iframe.attr("src", ""); // Reset the iframe src to stop the video
    $iframe.attr("src", src); // Restore the src to the original
  });
});
